//
// Copyright (c) 2019-2023 Ruben Perez Hidalgo (rubenperez038 at gmail dot com)
//
// Distributed under the Boost Software License, Version 1.0. (See accompanying
// file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
//

#ifndef BOOST_MYSQL_DOC_DOXYGEN_HPP
#define BOOST_MYSQL_DOC_DOXYGEN_HPP

/**
 * \brief brief
 * \details
 * description
 *
 * \par Preconditions
 * Only for functions, if they have a precondition (i.e. assert(xxx))
 *
 * \par Exception safety
 * No-throw guarantee.
 * Only for functions. Don't include it in network operations for now.
 * Strong guarantee.
 * Basic guarantee.
 * No-throw guarantee.
 * \throws {exception} {condition}.
 *
 * \par Object lifetimes
 * For async stuff or if the function returns views
 *
 * \par Complexity
 * Include it only for functions in containers or where relevant.
 *      Linear in xxxx.
 *
 * (Include only for async ops)
 * \par Handler signature
 * The handler signature for this operation is `void(boost::mysql::error_code)`
 *
 * Specify this where it adds any value.
 * \par Thread safety
 * Distinct objects: safe. \n
 * Shared objects: unsafe. \n
 */

#endif
